com.independentsoft.exchange

## Class DistributionListMember

- java.lang.Object
- - com.independentsoft.exchange.DistributionListMember

-     public class DistributionListMember
      extends java.lang.Object

  Represents a member of a distribution list.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributionListMember()` Initializes a new instance of the DistributionListMember class.
    `DistributionListMember(Mailbox mailbox)` Initializes a new instance of the DistributionListMember class.
    `DistributionListMember(Mailbox mailbox, DistributionListMemberStatus status)` Initializes a new instance of the DistributionListMember class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()` Gets a unique identifier for the distribution list member.
    `Mailbox` | `getMailbox()` Gets the e-mail address of the distribution list member.
    `DistributionListMemberStatus` | `getStatus()` Gets information about the status of a distribution list member.
    `void` | `setKey(java.lang.String key)` Sets a unique identifier for the distribution list member.
    `void` | `setMailbox(Mailbox mailbox)` Sets the e-mail address of the distribution list member.
    `void` | `setStatus(DistributionListMemberStatus status)` Sets information about the status of a distribution list member.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributionListMember

          public DistributionListMember()

      Initializes a new instance of the DistributionListMember class.

    - #### DistributionListMember

          public DistributionListMember(Mailbox mailbox)

      Initializes a new instance of the DistributionListMember class.
      Parameters:
        `mailbox` - the mailbox

    - #### DistributionListMember

          public DistributionListMember(Mailbox mailbox,
                                        DistributionListMemberStatus status)

      Initializes a new instance of the DistributionListMember class.
      Parameters:
        `mailbox` - the mailbox
        `status` - the status

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Gets a unique identifier for the distribution list member. This attribute is optional.
      Returns:
        the key

    - #### setKey

          public void setKey(java.lang.String key)

      Sets a unique identifier for the distribution list member. This attribute is optional.
      Parameters:
        `key` - the new key

    - #### getMailbox

          public Mailbox getMailbox()

      Gets the e-mail address of the distribution list member.
      Returns:
        the mailbox

    - #### setMailbox

          public void setMailbox(Mailbox mailbox)

      Sets the e-mail address of the distribution list member.
      Parameters:
        `mailbox` - the new mailbox

    - #### getStatus

          public DistributionListMemberStatus getStatus()

      Gets information about the status of a distribution list member.
      Returns:
        the status

    - #### setStatus

          public void setStatus(DistributionListMemberStatus status)

      Sets information about the status of a distribution list member.
      Parameters:
        `status` - the new status